1

I am new to elementary OS and want to install Akira UX. But I have no idea how to install the dependencies mentioned there. Can any of you guys have command to install the dependencies?

  • Can you install them from Synaptic? – riffer Mar 7 at 15:36
0

So, in order to install it from source, you'll first have to download and extract it to a folder:

  1. Open Terminal and paste the following command:
    git clone https://github.com/akiraux/Akira.git && cd Akira

  2. Run meson to try and build the app from code:
    meson build --prefix=/usr -Dprofile=default

  3. Look to the output for any missing packages:
    meson.build:25:0: ERROR: Dependency "libarchive" not found, tried pkgconfig

  4. Install the missing package:
    sudo apt install libarchive-dev

  5. Repeat steps 3 and 4 until no more meson ERROR is present in the output

  6. Run the following command to install the application:
    cd build && ninja && sudo ninja install (type your password when prompted)

  7. You should now have Akira present in the Applications menu

Note that the name of the package to install is NOT necessarily the name of the missing dependency. For example, to satisfy a 'Dependency "libxml-2.0" not found' meson ERROR, you'll need to install the libxml2-dev package. Comment to this answer if you have problems finding the correct packages to install.

| improve this answer | |

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.